Skip to content

Permanently delete a submission

DELETE
/api/v1/form-submissions/{id}
curl --request DELETE \
--url https://api.deploybase.eu/api/v1/api/v1/form-submissions/example \
--header 'Authorization: <Authorization>'

Hard-deletes the submission row. This is the GDPR erasure path and cannot be undone.

id
required
string

Submission ID

No Content

Media type application/json

Unauthorized

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Forbidden

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Not Found

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}